Bug 449234 - Review Request: perl-Catalyst-Plugin-Session-State-Cookie - Maintain session IDs using cookies
Review Request: perl-Catalyst-Plugin-Session-State-Cookie - Maintain session ...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On:
Blocks: 449251
  Show dependency treegraph
Reported: 2008-05-31 15:13 EDT by Chris Weyl
Modified: 2011-07-12 00:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-01 14:12:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-05-31 15:13:40 EDT
SRPM URL: http://fedora.biggerontheinside.net/review/perl-Catalyst-Plugin-Session-State-Cookie-0.09-1.fc8.src.rpm
SPEC URL: http://fedora.biggerontheinside.net/review/perl-Catalyst-Plugin-Session-State-Cookie.spec

In order for Catalyst::Plugin::Session to work the session ID needs to
be stored on the client, and the session data needs to be stored on
the server.  This plugin provides a way to store the session ID on the
client, through a cookie.
Comment 2 Parag AN(पराग) 2008-05-31 22:39:27 EDT
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=638376
+ rpmlint is silent for SRPM but NOT for RPM.
perl-Catalyst-Plugin-Session-State-Cookie.src:38: W: rpm-buildroot-usage %prep
FOO=`perl -p -e 's|%{buildroot}%{_docdir}/%{name}-%{version}\S+||'`
$RPM_BUILD_ROOT should not be touched during %build or %prep stage, as it
will break short circuiting.
==> I think this will not be a problem.
+ source files match upstream url
0eb184e081051ca284c2952ba6db59f7  Catalyst-Plugin-Session-State-Cookie-0.09.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
All tests successful.
Files=5, Tests=32,  3 wallclock secs ( 1.16 cusr +  0.21 csys =  1.37 CPU)
+ Package perl-Catalyst-Plugin-Session-State-Cookie-0.09-1.fc10 =>
Provides: perl(Catalyst::Plugin::Session::State::Cookie) = 0.09
Requires: perl(:MODULE_COMPAT_5.10.0) perl(Catalyst::Plugin::Session) >= 0.19
perl(Catalyst::Utils) perl(NEXT) perl(base) perl(strict) perl(warnings)

Comment 3 Chris Weyl 2008-06-01 00:00:27 EDT
New Package CVS Request
Package Name: perl-Catalyst-Plugin-Session-State-Cookie
Short Description: Maintain session IDs using cookies
Owners: cweyl
Branches: F-7, F-8, F-9, devel
InitialCC: perl-sig
Comment 4 Kevin Fenzi 2008-06-01 13:35:07 EDT
cvs done. (Except for F-7, as we are no longer doing F-7 branches.)
Comment 5 Chris Weyl 2008-06-01 14:12:12 EDT
Imported and built for rawhide.  Thanks for the review! :)
Comment 6 Mathieu Bridon 2011-07-12 00:23:28 EDT
Package Change Request
Package Name: perl-Catalyst-Plugin-Session-State-Cookie
New Branches: el6
Owners: bochecha

Chris doesn't maintain his packages in EPEL, but doesn't have a problem with others doing so.
Comment 7 Gwyn Ciesla 2011-07-12 00:57:06 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.